Package org.gradle.api.artifacts.capability

# Interface CapabilitySelector

All Superinterfaces:
  `Describable`

@Incubating public interface CapabilitySelector extends Describable
An opaque, immutable, selector for a capability of a variant.

A capability selector is attached to a `ComponentSelector` to specify the capability of the variant that should be selected from a given component.

Since:
  8.11
Implementation Requirements:
  Implementations must override equals and hash code

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Describable

  `getDisplayName`